//
// SlowdownButton.h
//

// Engine includes.
#include "Button.h"
#include "Sprite.h"

class SlowdownButton : public df::Button {

 private:
  df::Sprite *m_p_sprite;

 public:
  SlowdownButton(df::Sprite *p_sprite);

  // Called when Button clicked.
  void callback();
};
